NETDEV_CAP_TXQUEUE(9)

NAME
netdev_cap_txqueue - check if selected tx queue exceeds device queues

SYNOPSIS

u16 netdev_cap_txqueue(struct net_device * dev, u16 queue_index);

ARGUMENTS

dev
    network device

queue_index
    given tx queue index

DESCRIPTION

Returns 0 if given tx queue index >= number of device tx queues, otherwise returns the originally passed tx queue index.

COPYRIGHT